.TripleImage {
    display: flex;
    margin-bottom: 160px;
    position: relative;
    flex-direction: column;

    &:hover,
    &:focus {
        text-decoration: none;
    }

    @include mobile {
        margin-bottom: 70px;
    }

    &-Images {
        display: flex;
        flex-direction: column;

        @include after-mobile {
            display: grid;
            grid-template-columns: auto auto auto;
        }

        img {
            height: auto !important;
        }

        .Image-Image {
            position: initial;
        }

        .Image {
            height: initial;

            @include mobile {
                width: 100%;

                &:first-child {
                    margin-bottom: 80px;
                }

                &:last-child {
                    display: none;
                }
            }
        }

        .Image_ratio_square {
            padding-bottom: initial;
        }
    }

    &-Text {
        width: fit-content;
        min-width: 350px;
        max-height: 130px;
        padding: 24px;
        border: 1px solid #f5f5f5;
        position: absolute;
        bottom: -60px;
        left: 50%;
        transform: translateX(-50%);
        background-color: white;
        text-align: center;

        @include mobile {
            top: 50%;
            bottom: unset;
            transform: translate(-50%, -50%);
        }

        h2 {
            margin: 0 0 15px;
            color: $black;
            font-family: 'Work Sans', sans-serif;
            font-size: 28px;
            font-weight: bold;
            text-transform: initial;
            line-height: 32px;

            @include mobile {
                font-size: 28px;
            }
        }

        a {
            width: max-content;
            position: relative;
            color: $black;
            font-family: 'Work Sans', sans-serif;
            font-size: 14px;
            font-weight: 500;
            line-height: 24px;

            &::after {
                display: block;
                width: 100%;
                height: 1px;
                position: absolute;
                bottom: -8px;
                left: 0;
                background-color: $black;
                content: '';
            }
        }
    }
}
